#include "LiquidCrystal.h"
#include "TinyWireS.h"                  // wrapper class for I2C slave routines

#define I2C_SLAVE_ADDR  0x4            // i2c slave address (38)
int i;
LiquidCrystal lcd(8,7,3,2,1,0);
//LiquidCrystal(rs, enable, d4, d5, d6, d7) 

void setup() {
  // put your setup code here, to run once:
  TinyWireS.begin(I2C_SLAVE_ADDR);      // init I2C Slave mode
  TinyWireS.onRequest(requestEvent);
  
  lcd.begin(16,2);//LCDの列数と行数を指定する
  lcd.clear();
  delay(1000);
  i=0;
}

void loop() {
}


void requestEvent()
{
    i++;
    lcd.clear();
    lcd.setCursor(0,0);//(col,row)
    TinyWireS.send(i);
    lcd.print("Request");
    lcd.setCursor(0,1);//(col,row)
    lcd.print(i);
    
}

