#include <TinyWireM.h>
#include <USI_TWI_Master.h>
#define I2C_SLAVE_ADDRESS 0x4 // Address of the slave

#include <SoftwareSerial.h>                      

SoftwareSerial mySerial(3, 4); // RX, TX   

int pdata;
void setup(){
  
  TinyWireM.begin();      // init I2C Master mode, PC
  mySerial.begin(9600);
  mySerial.println("Hello world!");
  pdata=100;
  }                     

void loop(){ 
      TinyWireM.requestFrom(I2C_SLAVE_ADDRESS, 1); // Request 1 byte from slave
      delay(100);
      if (TinyWireM.available()) // slave may send less than requested
      {
        int data = TinyWireM.read();
          if (data!=pdata){
          mySerial.print("return:");
          mySerial.println(data); // print the character
          pdata=data;
        }
      }
      
      
      delay(600);
  }
